<?php
require_once (dirname(__DIR__, 2) . '/init.php');
if (!m_admin_check()) {
    m_redirect(ADMIN_URL . '/login');
}


//$db = new DB();
$action = m_u_g('action');
$action = trim($action, '/');
$lang = m_get_session('editor_lang');

switch ($action) {
    case $action:
        $data = posts('data', $action, $lang);
        if ($data) {
            echo json_encode($data);
        } else {
            echo json_encode(['error' => 'Verisi bulunamadı']);
        }
        break;
    default:
        echo json_encode(['error' => 'Geçersiz işlem']);
        break;
}

